# Roles

## List Roles

**get** `/api/v1/organizations/{organization_id}/roles`

List all roles in an organization.

### Path Parameters

- `organization_id: string`

### Cookie Parameters

- `session: optional string`

### Returns

- `id: string`

  Unique identifier

- `name: string`

  A name for the role.

- `permissions: array of object { id, access, description, 3 more }`

  The actual permissions of the role.

  - `id: string`

    Unique identifier

  - `access: boolean`

    Whether the permission is granted or not.

  - `description: string`

    A description for the permission.

  - `name: string`

    A name for the permission.

  - `created_at: optional string`

    Creation datetime

  - `updated_at: optional string`

    Update datetime

- `created_at: optional string`

  Creation datetime

- `updated_at: optional string`

  Update datetime

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/roles \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
]
```

## Domain Types

### Role List Response

- `RoleListResponse = array of Role`

  - `id: string`

    Unique identifier

  - `name: string`

    A name for the role.

  - `permissions: array of object { id, access, description, 3 more }`

    The actual permissions of the role.

    - `id: string`

      Unique identifier

    - `access: boolean`

      Whether the permission is granted or not.

    - `description: string`

      A description for the permission.

    - `name: string`

      A name for the permission.

    - `created_at: optional string`

      Creation datetime

    - `updated_at: optional string`

      Update datetime

  - `created_at: optional string`

    Creation datetime

  - `updated_at: optional string`

    Update datetime
